forrest-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Thorsten Scherler <thorsten.scherler....@juntadeandalucia.es>
Subject Re: Updating cocoon (was Re: [jira] Commented: (FOR-1083) switch to Cocoon 2.1.x)
Date Fri, 22 Aug 2008 10:55:26 GMT
On Thu, 2008-08-21 at 14:49 +0200, Thorsten Scherler wrote:
...
> The third warning is from avalon
> http://excalibur.apache.org/apidocs/org/apache/avalon/framework/container/ContainerUtil.html#compose(java.lang.Object,
org.apache.avalon.framework.component.ComponentManager)
> 
> Our code is the following:
> ContainerUtil.compose(context, new WrapperComponentManager(m_manager));
> ContainerUtil.service(context, m_manager);
> 
> and the above link states: "Deprecated. compose() is no longer the
> preferred method via which components will be supplied with Components.
> Please Use service() from Composable instead." So we may just delete the
> compose line as I understand it. However not sure about that.

I deleted the line and it works like before, maybe Ross knows some
unconsidered side effect.

salu2
-- 
Thorsten Scherler                                 thorsten.at.apache.org
Open Source Java                      consulting, training and solutions


Mime
View raw message